curl --request POST \
--url https://sandbox.layerfi.com/v1/businesses/{businessId}/loans/{loanId}/proceeds \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"loan_proceed_type": "DISBURSEMENT",
"external_id": "mca-001-proceed-1",
"amount": 2000000,
"date": "2024-03-01",
"method": "ACH"
}
'{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"loan_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"loan_proceed_type": "DISBURSEMENT",
"method": "ACH",
"amount": 123,
"date": "2023-12-25",
"transaction_tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "ExampleTagKey",
"value": "ExampleTagValue",
"dimension_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dimension_display_name": "<string>",
"value_display_name": "<string>",
"archived_at": "2023-11-07T05:31:56Z"
}
],
"external_id": "<string>",
"asset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"archived_at": "2023-11-07T05:31:56Z",
"memo": "<string>",
"metadata": {},
"reference_number": "<string>"
}
}Create a loan proceed
Adds a proceed to a loan. A proceed is either a cash DISBURSEMENT or an ASSET the loan financed.
curl --request POST \
--url https://sandbox.layerfi.com/v1/businesses/{businessId}/loans/{loanId}/proceeds \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"loan_proceed_type": "DISBURSEMENT",
"external_id": "mca-001-proceed-1",
"amount": 2000000,
"date": "2024-03-01",
"method": "ACH"
}
'{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"loan_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"loan_proceed_type": "DISBURSEMENT",
"method": "ACH",
"amount": 123,
"date": "2023-12-25",
"transaction_tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "ExampleTagKey",
"value": "ExampleTagValue",
"dimension_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dimension_display_name": "<string>",
"value_display_name": "<string>",
"archived_at": "2023-11-07T05:31:56Z"
}
],
"external_id": "<string>",
"asset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"archived_at": "2023-11-07T05:31:56Z",
"memo": "<string>",
"metadata": {},
"reference_number": "<string>"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The UUID of the business.
The UUID of the loan.
Body
The proceed to create.
- Asset proceed
- Disbursement proceed
A loan proceed: funds (or an asset) received from the loan.
Discriminator. Must be ASSET.
ASSET Proceed amount, in cents.
Date the proceed was received.
Reference to the asset funded by an ASSET proceed. Either link an existing asset by id or external_id, or create a new asset inline with new_asset.
- Existing asset
- New asset
Show child attributes
Show child attributes
Unique ID of the proceed in your system for linking purposes.
Response
Loan proceed created successfully.
A loan proceed: funds (or an asset) received when a loan is drawn. See the Loan Proceed object.
Show child attributes
Show child attributes